class PKPaymentPass {
  
  String? authenticationToken;
  String? description;
  String? deviceAccountIdentifier;
  String? deviceAccountNumberSuffix;
  String? deviceName;
  bool? isProxy;

  PKPaymentPass(this.authenticationToken,this.description,
  this.deviceAccountIdentifier,this.deviceAccountNumberSuffix,
  this.deviceName, this.isProxy);

  String? getAuthenticationToken() {
    return authenticationToken;
  }

  void setAuthenticationToken(String authenticationToken) {
    this.authenticationToken = authenticationToken;
  }

  String? getDescription() {
    return description;
  }

  void setDescription(String description) {
    this.description = description;
  }

  String? getDeviceAccountIdentifier() {
    return deviceAccountIdentifier;
  }

  void setDeviceAccountIdentifier(String deviceAccountIdentifier) {
    this.deviceAccountIdentifier = deviceAccountIdentifier;
  }

  String? getDeviceAccountNumberSuffix() {
    return deviceAccountNumberSuffix;
  }

  void setDeviceAccountNumberSuffix(String deviceAccountNumberSuffix) {
    this.deviceAccountNumberSuffix = deviceAccountNumberSuffix;
  }

  void setDeviceName(String deviceName) {
    this.deviceName = deviceName;
  }

  String? getDeviceName() {
    return deviceName;
  }

  void setProxy(bool isProxy) {
    this.isProxy = isProxy;
  }

  bool? getProxy() {
    return isProxy;
  }

  static PKPaymentPass fromJson(dynamic json) {
    if (json != null && json is Map<String, dynamic>) {
      return PKPaymentPass(json['AuthenticationToken'] as String?,
          json['Description'] as String?,
          json['DeviceAccountIdentifier'] as String?,
          json['DeviceAccountNumberSuffix'] as String?,
          json['DeviceName'] as String?,
          json['IsProxy'] as bool?);
    }
    else {
      return PKPaymentPass(null,null,null,null,null,null);
    }
  }
}