import 'pk_payment_pass.dart';

class PKPass {
  
  PKPaymentPass? paymentPass;
  String? serialNumber;
  String? webServiceURL;
  String? passTypeIdentifier;
  String? authenticationToken;


  PKPass(this.paymentPass,this.serialNumber,
  this.webServiceURL,this.passTypeIdentifier,
  this.authenticationToken);

  PKPaymentPass? getPaymentPass() {
    return paymentPass;
  }

  void setPaymentPass(PKPaymentPass paymentPass) {
    this.paymentPass = paymentPass;
  }

  String? getSerialNumber() {
    return serialNumber;
  }

  void setSerialNumber(String serialNumber) {
    this.serialNumber = serialNumber;
  }

  String? getWebServiceURL() {
    return webServiceURL;
  }

  void setWebServiceURL(String webServiceURL) {
    this.webServiceURL = webServiceURL;
  }

  void setPassTypeIdentifier(String passTypeIdentifier) {
    this.passTypeIdentifier = passTypeIdentifier;
  }

  String? getPassTypeIdentifier() {
    return passTypeIdentifier;
  }

  String? getAuthenticationToken() {
    return authenticationToken;
  }

  void setAuthenticationToken(String authenticationToken) {
    this.authenticationToken = authenticationToken;
  }

  static PKPass fromJson(dynamic json) {
    return PKPass(PKPaymentPass.fromJson(json['PKPaymentPass']),
    json['SerialNumber'] as String?,
    json['WebServiceURL'] as String?,
    json['PassTypeIdentifier'] as String?,
    json['AuthenticationToken'] as String?
    ) ;
  }
}